<?php
namespace ReyCore\Compatibility\FacetWP;

if ( ! defined( 'ABSPATH' ) ) exit;

class Base extends \ReyCore\Compatibility\CompatibilityBase {

	public static function supported(){
		return class_exists('\FacetWP');
	}

	public function __construct() {
		add_action('wp_footer', [$this, 'scripts'], 20);
	}

	public function scripts() {
		?>
		<script>
			(function($){
				$(document).on('facetwp-loaded', function(e){
					$(document).trigger('reycore/ajaxfilters/finished', [$('.rey-siteMain ul.products ')]);
				})
			})(jQuery);
		</script>
		<?php
	}

}
