<?php
namespace ReyCore\Compatibility\Optimole;

if ( ! defined( 'ABSPATH' ) ) exit;

class Base extends \ReyCore\Compatibility\CompatibilityBase
{

	public static function supported(){
		return function_exists( 'optml' );
	}

	public function __construct()
	{
		add_filter('optml_dont_replace_url', [$this, 'dont_replace_url'], 20, 2);
	}

	public function dont_replace_url($status, $url) {

		if( strpos($url, 'icon-sprite.svg') !== false || strpos($url, 'social-icons-sprite.svg') !== false ){
			return true;
		}

		return $status;
	}

}
